games/armagetronad-server - The NetBSD Packages Collection

Server for the armagetronad game

Armagetron Advanced is a multiplayer game in 3D that attempts to emulate
and expand on the light cycle sequence from the movie Tron.

Tron was an arcade game based on the movie of the same name, release by
Disney in 1982. The original game consisted of 4 sub-games, the only one of
concern is the 'Light Cycles' one, in which the player uses a left/right
joystick to control a 'Light Cycle' which leaves a wall behind it wherever
the cycle it goes, turning only at 90 degree angles. The player must then get
the AI to crash into their wall while avoiding hitting the AI's own wall
themselves. Those were the humble beginnings of Armagetron Advanced's
game play, which has now blossomed into 16 player mayhem, with highly
advanced AI, network game play, and of course all in a 3D environment.

Server for the armagetronad game.

Build dependencies

pkgtools/cwrappers shells/bash devel/gmake devel/pkgconf

Runtime dependencies

textproc/libxml2 textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0earmv7hfarmagetronad-server-0.2.9.0.1.tgz
NetBSD 8.0earmv7hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0i386armagetronad-server-0.2.9.0.1.tgz
NetBSD 8.0i386armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0powerpcarmagetronad-server-0.2.9.0.1.tgz
NetBSD 8.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 8.0x86_64armagetronad-server-0.2.9.0.1.tgz
NetBSD 8.0x86_64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0aarch64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0aarch64armagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0aarch64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0alphaarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0alphaarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0alphaarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0earmarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmv6hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmv6hfarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0earmv6hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmv7hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmv7hfarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0earmv7hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0earmv7hfarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0i386armagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0i386armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0i386armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0mips64ebarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0mips64ebarmagetronad-server-0.2.8.3.5nb1.tgz
NetBSD 9.0mips64ebarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0mips64ebarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0mips64ebarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0powerpcarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0powerpcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0sparc64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0sparc64armagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0sparc64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0sparcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0sparcarmagetronad-server-0.2.8.3.5nb1.tgz
NetBSD 9.0sparcarmagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0sparcarmagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0x86_64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0x86_64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0x86_64armagetronad-server-0.2.9.0.1.tgz
NetBSD 9.0x86_64armagetronad-server-0.2.9.0.1nb1.tgz
NetBSD 9.0x86_64armagetronad-server-0.2.9.0.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.